package com.hfkj.service;

import com.hfkj.entity.BsOilPriceAdjust;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @className: BsOilPriceAdjustService
 * @author: HuRui
 * @date: 2025/11/18
 **/
public interface BsOilPriceAdjustService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsOilPriceAdjust data);

    /**
     * 删除
     * @param id
     */
    void del(Long id);

    /**
     * 查询详情
     * @param id
     * @return
     */
    BsOilPriceAdjust getDetail(Long id);

    /**
     * 查询详情
     * @param provinceCode
     * @param oilPriceZone
     * @param oilNo
     * @return
     */
    BsOilPriceAdjust getDetail(Date adjustDate, Long provinceCode, Integer oilPriceZone, String oilNo);

    /**
     * 查询价格列表
     * @param provinceCode 省级
     * @param oilPriceZone 价区
     * @return
     */
    List<BsOilPriceAdjust> getList(Date adjustDate,Long provinceCode,Integer oilPriceZone);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsOilPriceAdjust> getList(Map<String,Object> param);
}
